package cn.muchinfo.rma.global.data



/**
 * 查询现货商品详情(菜单:现货品种/现货品种详情)
 * @property wrd wrdData
 * @property gtList List<gtListData>
 * @property gbList List<gbListData>
 * @property wrsList List<wrsListData>
 * @constructor
 */
data class WrStandardDetail(
    val wrd : WrStandardData = WrStandardData(),
    val gtList : List<gtListData> = arrayListOf(),
    val gbList : List<gbListData> = arrayListOf(),
    val wrsList : List<wrsListData> = arrayListOf()
)


/**
 * 型号列表
 * @property modelid String型号ID
 * @property modelname String型号名称
 * @property updatetime String更新时间
 * @constructor
 */
data class gtListData(
    val modelid : String = "",
    val modelname : String = "",
    val updatetime : String = ""
)

/**
 * 品牌列表
 * @property brandid String品牌ID
 * @property brandname String品牌名称
 * @property isvalid String是否有效 - 0:无效 1:有效
 * @constructor
 */
data class gbListData(
    val brandid : String = "",
    val brandname : String = "",
    val isvalid : String = ""
)

/**
 * 套保信息列表
 * @property wrstandardid String现货商品ID
 * @property deliverygoodsid String现货品种ID
 * @property middlegoodsid String套保品种ID
 * @property convertratio String套保系数
 * @property modifytime String修改时间
 * @property middlegoodsname String套保品种名称
 * @property middlegoodscode String套保品种代码
 * @constructor
 */
data class wrsListData(
    val wrstandardid : String = "",
    val deliverygoodsid : String = "",
    val middlegoodsid : String = "",
    val convertratio : String = "",
    val modifytime : String = "",
    val middlegoodsname : String = "",
    val middlegoodscode : String = ""
)